// ignore_for_file: prefer_typing_uninitialized_variables
import 'package:flutter/material.dart';
import 'dart:ui';

class CustomBanner {
  final colorsWithOpcy;
  final title;
  final subtitle;
  final buttonColor;
  final buttonText;
  Function? onPunch = () => {};

  CustomBanner(
      {Key? key,
      required this.colorsWithOpcy,
      required this.title,
      required this.subtitle,
      required this.buttonColor,
      required this.buttonText});

  Widget build(BuildContext context) {
    return BackdropFilter(
      filter: ImageFilter.blur(
        sigmaX: 24.0,
        sigmaY: 24.0,
      ),
      child: Container(
        height: 255,
        width: 436,
        decoration: BoxDecoration(
          color: colorsWithOpcy,
          borderRadius: const BorderRadius.only(
            topRight: Radius.circular(80),
            topLeft: Radius.circular(8),
            bottomLeft: Radius.circular(8),
            bottomRight: Radius.circular(8),
          ),
        ),
        child: Padding(
          padding: const EdgeInsets.only(
            top: 40.0,
            left: 15.0,
            right: 15.0,
          ),
          child: Column(
            mainAxisAlignment: MainAxisAlignment.start,
            crossAxisAlignment: CrossAxisAlignment.start,
            children: [
              Text(
                title,
                style: const TextStyle(
                  color: Colors.white,
                  fontSize: 27,
                  fontFamily: "Roboto",
                  fontWeight: FontWeight.w500,
                ),
              ),
              const SizedBox(
                height: 20,
              ),
              Text(
                subtitle,
                style: const TextStyle(
                  color: Color(0XFFC4C4C4),
                  fontSize: 12,
                  fontFamily: "Roboto",
                  fontWeight: FontWeight.w400,
                ),
              ),
              const SizedBox(
                height: 20,
              ),
              ElevatedButton(
                style: ElevatedButton.styleFrom(
                  primary: buttonColor,
                  fixedSize: const Size(188, 46),
                  shape: RoundedRectangleBorder(
                    borderRadius: BorderRadius.circular(30.0),
                    // side: BorderSide(
                    //   color: Color.fromARGB(255, 196, 21, 9),
                    // ),
                  ),
                ),
                onPressed: () {
                  onPunch!();
                },
                child: Text(buttonText),
              )
            ],
          ),
        ),
      ),
    );
  }
}
